<% if params[:task_type].present?  && params[:task_type].eql?('main') %>
    // $(".sub_list_<%= params[:type_id] %>").children('ul').children('li').last().empty().html("<%#= j render partial: '/checklists/add_checklist', locals: { checklist: @subchecklist, type: params[:task_type], is_marked: '@is_marked' } %>")
    $('.tab-pane.active').find('ul.todo').find('li').first().remove() //.html("<%#= j render partial: '/checklists/add_checklist', locals: { checklist: @subchecklist, type: params[:task_type], is_marked: '@is_marked' } %>")
    $('.tab-pane.active').find('ul.todo').append("<%= j render partial: '/checklists/add_checklist', locals: { checklist: @subchecklist, type: params[:task_type], is_marked: '@is_marked' } %>")
    // console.log($('.tab-pane.active').find('ul.todo'))
    // $(".cat_row_<%= params[:type_id] %>").empty().html("<%#= j render partial: '/checklists/add_checklist', locals: { checklist: @subchecklist, type: params[:task_type], is_marked: '@is_marked' } %>")
<% else %>
    console.log($(".cat_row_<%= params[:type_id] %>").children('ul').children('li'));
    $(".sub_list_<%= params[:type_id] %>").children('ul').children('li').last().empty().html("<%= j render partial: '/checklists/add_checklist', locals: { checklist: @checklist, type: params[:task_type], is_marked: '@is_marked' } %>")
    // $(".cat_row_<%= params[:type_id] %>").empty().html("<%#= j render partial: '/checklists/add_checklist', locals: { checklist: @checklist, type: params[:task_type], is_marked: '@is_marked' } %>")
<% end %>
// add_checklist()
delete_checklist()
mark_checklist()
edit_checklist()
add_sub_checklist()
